package ru.yandex.qe.bus.features.version;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import ru.yandex.qe.bus.MediaTypeConstants;

@Path("/version")
@Consumes(MediaType.WILDCARD)
@Produces(MediaTypeConstants.APPLICATION_JSON_WITH_UTF)
public class VersionService {

    private final Version version;

    public VersionService(Version version) {
        this.version = version;
    }

    @GET
    public Version getVersion() {
        return version;
    }
}
